Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ValueType System.IEquatable<Mono.Unix.UnixPipes> Provides information about a Unix pipe.

A Unix pipe is an object allowing bidirectional data flow through a pair of s.

is the read end of the pipe, while is the write end of the pipe. Data written to can be read through . This allows the output of one program to be sent to another program: the source's standard output is set up to be the write end of the pipe, and the sink's standard input is set up to be the read end of the pipe.

The pipe persists until and are closed.

A pipe that has had an end closed is considered widowed. Writing on such a pipe causes the writing process to receive a signal. Widowing a pipe is the only way to deliver end-of-file to a reader: after the reader consumes any buffered data, reading a widowed pipe returns a zero count.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A that permits reading. Data written to can be read from .
  A that permits writing. Data written to can be read from .
  Constructs and initializes a new instance of the class using the specified and streams.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixPipes Creates a Unix pipe for interprocess communication. A instance containing the "read end" () and the "write end" () of the pipe.

  This method creates a Unix pipe, an object which allows bidirectional data flow through a pair of instances.

  Too many descriptors are active. []

  -or-

  The system file table is full. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` A to compare the current instance against. Determines whether the current instance and the specified object have the same value. if is a instance and the file descriptors for its and match; otherwise, .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The first to compare. The second to compare. Returns a value indicating whether the two specified values are equal to each other. if and represent the same value; otherwise,
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` The first to compare. The second to compare. Returns a value indicating whether the two specified values are not equal to each other. if and do not represent the same value; otherwise,
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixStream A instance that reads any data written to the stream.

  A pipe that has had an end closed is considered widowed. Writing on such a pipe causes the writing process to receive a signal. Widowing a pipe is the only way to deliver end-of-file to a reader: after the reader consumes any buffered data, reading a widowed pipe returns a zero count.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixStream A instance that, when written to, makes all data available for reading from the stream.

  A pipe that has had an end closed is considered widowed. Writing on such a pipe causes the writing process to receive a signal. Widowing a pipe is the only way to deliver end-of-file to a reader: after the reader consumes any buffered data, reading a widowed pipe returns a zero count.